Skip to main content
POST
/
scheduler
/
create
/
{instance}
Create a scheduled message
curl --request POST \
  --url https://api.zapthinker.com/scheduler/create/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "name": "<string>",
  "content": {
    "text": "<string>",
    "caption": "<string>"
  },
  "runAt": "2023-11-07T05:31:56Z",
  "targets": [
    "<string>"
  ],
  "contactListId": "<string>",
  "mediaUrl": "<string>",
  "mediaType": "image",
  "timezone": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json
name
string
required

Nome do agendamento

content
object
required
runAt
string<date-time>
required

Data/hora de execução (ISO 8601)

targets
string[]

Lista de JIDs de destino

contactListId
string

ID da lista de contatos (alternativa a targets)

mediaUrl
string

URL da mídia para envio

mediaType
enum<string>
Available options:
image,
document,
video
timezone
string

Timezone (ex: America/Sao_Paulo)

Response

Agendamento criado com sucesso

The response is of type object.